Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaObjectCollection

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObjectCollection

    public class XmlSchemaObjectCollection

extends java.lang.Object

An object collection class to handle XmlSchemaObjects when collections are returned from method calls.

Constructor Summary
`XmlSchemaObjectCollection()` Creates new XmlSchemaObjectCollection

Method Summary
`void` | `add(XmlSchemaObject item)`
`boolean` | `contains(XmlSchemaObject item)`
`int` | `getCount()`
`XmlSchemaObject` | `getItem(int i)`
`java.util.Iterator` | `getIterator()`
`int` | `indexOf(XmlSchemaObject item)`
`void` | `remove(XmlSchemaObject item)`
`void` | `removeAt(int index)`
`void` | `setItem(int i, XmlSchemaObject item)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlSchemaObjectCollection

    public XmlSchemaObjectCollection()

  Creates new XmlSchemaObjectCollection

Method Detail

### getCount

    public int getCount()

### getItem

    public XmlSchemaObject getItem(int i)

### setItem

    public void setItem(int i,
                        XmlSchemaObject item)

### add

    public void add(XmlSchemaObject item)

### contains

    public boolean contains(XmlSchemaObject item)

### indexOf

    public int indexOf(XmlSchemaObject item)

### remove

    public void remove(XmlSchemaObject item)

### removeAt

    public void removeAt(int index)

### getIterator

    public java.util.Iterator getIterator()

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.